## org.apache.lucene.messages
Interface NLSException

All Known Implementing Classes:
  ParseException, QueryNodeError, QueryNodeException, QueryNodeParseException

Deprecated. Will be moved to a private package inside flexible query parser (Lucene 4.0).

    @Deprecated
    public interface NLSException

Interface that exceptions should implement to support lazy loading of messages. For Native Language Support (NLS), system of software internationalization. This Interface should be implemented by all exceptions that require translation

Method Summary
`Message` `getMessageObject()` Deprecated.

Method Detail

### getMessageObject

    Message getMessageObject()

  Deprecated.
  Returns:
    a instance of a class that implements the Message interface